[arch-haskell] haskell platform dependencies

Don Stewart dons at galois.com
Sat Oct 12 07:35:36 UTC 2013

> hi there.
> I ran into some troubles installing haskell-platform today. Specifically,
> community contained haskell-zlib-, which is too recent, and there was no
> pkgbuild for haskell-zlib- in AUR.
> So I'm wondering : can the arch-haskell script maintain a version of all
> dependencies of the haskell-platform in AUR, so we don't have problems
> installing it ?

It can, but it becomes harder if [community] updates independent of the
platform spec -- that's actually in violation of Arch supporting the
> Or maybe having a set of pkgbuilds with a name like haskell-zlib-hp to
> explicitely state that it is the version blessed by the haskell-platform ?

That may be the only way to get people to stop bumping versions ahead of
the platform ... *or* ... we get the full platform into community...

More information about the arch-haskell mailing list